# layout

abstract fun layout(layoutName: String)

Specifies how the items of the repository are organized.

Recognised values are as follows:

'gradle'

A Repository Layout that applies the following patterns:

- Artifacts: `$baseUri/{@value #GRADLE_ARTIFACT_PATTERN}`
- Ivy: `$baseUri/{@value #GRADLE_IVY_PATTERN}`

'maven'

A Repository Layout that applies the following patterns:

- Artifacts: `$baseUri/{@value #MAVEN_ARTIFACT_PATTERN}`
- Ivy: `$baseUri/{@value #MAVEN_IVY_PATTERN}`

Following the Maven convention, the 'organisation' value is further processed by replacing '.' with '/'.

'ivy'

A Repository Layout that applies the following patterns:

- Artifacts: `$baseUri/{@value #IVY_ARTIFACT_PATTERN}`
- Ivy: `$baseUri/{@value #IVY_ARTIFACT_PATTERN}`

#### Parameters

layoutName

The name of the layout to use.

#### See also

patternLayout(Action)